﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="Default.aspx.cs" Inherits="InfragisticsTreeLoD_KB._Default" %>
<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <h2>
        Welcome to ASP.NET!
    </h2>
    <div class="leftColumn">
        <ul id="treeTarget"></ul>
    </div>
    <div class="rightColumn">
        <p>Use left/right arrow to expand/collapse a node. Up/down arrow to go up/down in the tree.
        Space is used to toggle the checkstate of any node.</p><br />
        <span>Selected: <span id="loc"></span></span>
    </div>
    <script type="text/javascript">
        $(document).ready(function () {
            // the data source we'll be using
            var data_url = "http://services.odata.org/OData/OData.svc/Categories?$format=json&$callback=?";
            var jsonp = new $.ig.JSONPDataSource({ dataSource: data_url, responseDataKey: "d" });

            var tree = $("#treeTarget");
            var loc = $("#loc");

            tree.igTree({
                dataSource: jsonp,
                checkboxMode: "triState",
                responseDataKey: "d",
                singleBranchExpand: true,
                loadOnDemand: true,
                bindings: {
                    textKey: "Name",
                    valueKey: "Name",
                    childDataProperty: "Products",
                    // some templating here - this is for the top level icons
                    nodeContentTemplate: "{{if Name == 'Food'}}<img src='/Styles/min/burger-icon.png'/>" +
                                         "{{else Name == 'Beverages'}}<img src='/Styles/min/drink-icon.png'/>" +
                                         "{{else Name == 'Electronics'}}<img src='/Styles/min/lightning-icon.png'/>" +
                                         "{{/if}}",
                    bindings: {
                        textKey: "Name",
                        valueKey: "Name",
                        childDataProperty: "Supplier",
                        bindings: {
                            textKey: "Name",
                            valueKey: "Name"
                        }
                    }
                }
            });

            // event handler that updates the indication of the currently-selected node
            tree.bind("igtreeselectionchanged", function (evt, ui) {
                var node = $(ui.newNodes[0].element);
                var path = ui.newNodes[0].path.length;
                if (path == 1) loc.text(node.attr("data-value")); // path == 1 means it's a top level node
                else if (path == 3) { // path == 3 means it's a 2nd level node
                    var parent = tree.igTree("parentNode", node);
                    loc.text(parent.attr("data-value") + " > " + node.attr("data-value"));
                }
                else if (path == 5) { // path == 5 means it's a 3rd level node
                    var parent = tree.igTree("parentNode", node);
                    var grandparent = tree.igTree("parentNode", parent);
                    loc.text(grandparent.attr("data-value") + " > " + parent.attr("data-value") + " > " + node.attr("data-value"));
                }
            });
        });
    </script>
</asp:Content>
